Bypass 5.1 requirement for apps.

Bennyboy

Genius
Platinum
Jul 21, 2010
14,017
1,756
113
PA
#1
Is there a way? I'm on 5.0.1 jailbroken still, and there's couple apps I would like to download but I can't since I'm not on 5.1, any feedback would be appreciate it.
 

iphonewarrior

Moderator
Moderator
Apr 11, 2008
13,847
700
113
#3
I've just seen my DM's on twitter. Sorry for the late reply.

I've done a few google searches and I don't know if it can be done. I'll keep looking :)
 

fijiman

Contributor
Silver
Feb 13, 2011
832
64
28
UK
#6
You can download apps from the AppStore and Cydia meant for a higher firmware by navigating(use iFile) to/Systems/Library/CoreServices/SystemVersion.plist and open the file with 'Property List Viewer'. Then click the 'Product version' and change the value from 5.0.1 to 5.1 and change the productbuildversion 9A406 to 9B176 for iPhone4 5.1....and don't forget to ReBoot...
 

iphonewarrior

Moderator
Moderator
Apr 11, 2008
13,847
700
113
#8
Yep, that's how you do it. Sorry it took so long I was out all last night.

Even though you've changed the .plist it doesn't mean that the app will definitely run.